using Domain.Entities;

namespace Models.Interfaces
{
    public interface IPhSBusinessUnitRepository
    {
        Task<IEnumerable<EBusinessUnit>> GetAllAsync();
        Task<EBusinessUnit?> GetByIdAsync(int id);
        Task<IEnumerable<EBusinessUnit>> SearchAsync(string term);
        Task<EBusinessUnit> CreateAsync(EBusinessUnit unit);
        Task<bool> UpdateAsync(EBusinessUnit unit);
        Task<bool> DeleteAsync(int id);
    }
}